Debian Bug report logs - #353344
umbrello: please allow switch-to-arrow after object creation

version graph

Package: umbrello; Maintainer for umbrello is Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>; Source for umbrello is src:umbrello.

Reported by: martin f krafft <madduck@debian.org>

Date: Fri, 17 Feb 2006 16:18:19 UTC

Severity: wishlist

Tags: wontfix

Found in version umbrello/4:3.5.1-1

Fixed in version 4:3.5.2-1

Done: Pierre HABOUZIT <madcoder@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#353344; Package umbrello. Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: umbrello: please allow switch-to-arrow after object creation
Date: Fri, 17 Feb 2006 17:09:47 +0100
[Message part 1 (text/plain, inline)]
Package: umbrello
Version: 4:3.5.1-1
Severity: wishlist

It would be nice if umbrello could add an option to switch to the
arrow tool after inserting of an object, the way e.g. dia supports
it.

Thanks,

-- 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer and author: http://debiansystem.info
`. `'`
  `-  Debian - when you have better things to do than fixing a system
 
Invalid/expired PGP (sub)keys? Use subkeys.pgp.net as keyserver!
 
"i like young girls. their stories are shorter."
                                                        -- tom mcguane
[signature.asc (application/pgp-signature, inline)]

Tags added: wontfix Request was from Jonathan Riddell <jr@jriddell.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#353344; Package umbrello. Full text and rfc822 format available.

Acknowledgement sent to Oliver Kellogg <okellogg@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 353344@bugs.debian.org (full text, mbox):

From: Oliver Kellogg <okellogg@users.sourceforge.net>
To: kde-commits@kde.org
Cc: 353344@bugs.debian.org, uml-devel@lists.sourceforge.net
Subject: branches/KDE/3.5/kdesdk/umbrello
Date: Mon, 20 Mar 2006 21:03:42 +0000
SVN commit 520788 by okellogg:

setAssoc(): Go back to arrow tool after installing an association.
CCMAIL:353344@bugs.debian.org


 M  +1 -0      ChangeLog  
 M  +3 -0      umbrello/umlview.cpp  


--- branches/KDE/3.5/kdesdk/umbrello/ChangeLog #520787:520788
@@ -1,5 +1,6 @@
 Version 1.5.3
 
+* Switch to arrow after object creation (http://bugs.debian.org/353344)
 * Bugs/wishes from http://bugs.kde.org:
 * Static variables in java code are not marked static (59190)
 * Save autosave file to a more obvious place (72019)
--- branches/KDE/3.5/kdesdk/umbrello/umbrello/umlview.cpp #520787:520788
@@ -2158,6 +2158,9 @@
             }
         }
         m_pDoc->setModified();
+        // go back to arrow tool
+        UMLApp::app()->getWorkToolBar()->setDefaultTool();
+        setCursor( KCursor::arrowCursor() );
     } else {
         KMessageBox::error(0, i18n("Incorrect use of associations."), i18n("Association Error"));
     }



Reply sent to Pierre HABOUZIT <madcoder@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to martin f krafft <madduck@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 353344-done@bugs.debian.org (full text, mbox):

From: Pierre HABOUZIT <madcoder@debian.org>
To: martin f krafft <madduck@debian.org>, 353344-done@bugs.debian.org
Subject: Re: umbrello: please allow switch-to-arrow after object creation
Date: Sun, 14 May 2006 11:57:21 +0200
[Message part 1 (text/plain, inline)]
Version: 4:3.5.2-1

On Fri, Feb 17, 2006 at 05:09:47PM +0100, martin f krafft wrote:
> Package: umbrello
> Version: 4:3.5.1-1
> Severity: wishlist
> 
> It would be nice if umbrello could add an option to switch to the
> arrow tool after inserting of an object, the way e.g. dia supports
> it.
> 
> Thanks,

  this has been fixed in kde 3.5 branch recently.
-- 
·O·  Pierre Habouzit
··O                                                madcoder@debian.org
OOO                                                http://www.madism.org
[signature.asc (application/pgp-signature, inline)]

Message #16 received at 353344-done@bugs.debian.org (full text, mbox):

From: martin f krafft <madduck@debian.org>
To: Pierre HABOUZIT <madcoder@debian.org>
Cc: 353344-done@bugs.debian.org
Subject: Re: umbrello: please allow switch-to-arrow after object creation
Date: Sun, 14 May 2006 11:14:11 -0500
[Message part 1 (text/plain, inline)]
also sprach Pierre HABOUZIT <madcoder@debian.org> [2006.05.14.0457 -0500]:
>   this has been fixed in kde 3.5 branch recently.

Thanks.

-- 
Please do not send copies of list mail to me; I read the list!
 
 .''`.     martin f. krafft <madduck@debian.org>
: :'  :    proud Debian developer and author: http://debiansystem.info
`. `'`
  `-  Debian - when you have better things to do than fixing a system
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#353344; Package umbrello. Full text and rfc822 format available.

Acknowledgement sent to Oliver Kellogg <okellogg@users.sourceforge.net>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. Full text and rfc822 format available.

Message #21 received at 353344@bugs.debian.org (full text, mbox):

From: Oliver Kellogg <okellogg@users.sourceforge.net>
To: kde-commits@kde.org
Cc: 353344@bugs.debian.org, uml-devel@lists.sourceforge.net
Subject: branches/KDE/3.5/kdesdk/umbrello/umbrello
Date: Sun, 01 Oct 2006 18:08:33 +0000
SVN commit 591102 by okellogg:

setSecondWidget(): For the sake of consistent selection behavior, revert
 commit 520788. Going back to the arrow tool can also be achieved by
 pressing the right mouse button on empty diagram space.
CCMAIL:353344@bugs.debian.org


 M  +0 -2      toolbarstateassociation.cpp  


--- branches/KDE/3.5/kdesdk/umbrello/umbrello/toolbarstateassociation.cpp #591101:591102
@@ -167,8 +167,6 @@
             }
         }
         UMLApp::app()->getDocument()->setModified();
-        // go back to arrow tool
-        UMLApp::app()->getWorkToolBar()->setDefaultTool();
     } else {
         //TODO improve error feedback: tell the user what are the valid type of associations for
         //the second widget using the first widget



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 10:20:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:41:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.